cURL
normalCollection
curl --request POST \ --url https://{projectHost}/collections \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "collectionName": "example-collection-name", "indexConfigs": { "example-field1": { "type": "text", "analyzers": [ "english" ] }, "example-field2": { "type": "vector", "dimensions": 128, "similarity": "cosine" } } } '
{ "projectName": "example-project-name", "collectionName": "example-collection-name", "indexConfigs": { "example-field1": { "type": "text", "analyzers": [ "english" ] }, "example-field2": { "type": "vector", "dimensions": 128, "similarity": "cosine" } }, "numDocs": 0, "collectionStatus": "CREATING" }
Create a collection.
Project API Key.
Collection name must be unique within a project and the supported maximum length is 52.
Show child attributes
text
Analyzers.
standard
korean
japanese
english
Created collection
Project name.
Collection name.
Total number of documents.
Status
CREATING
ACTIVE
DELETING
Source project name.
Source collection name.
Source collection version.
Was this page helpful?